/* Reset styles */
html, body, div, img {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    color: #fff;
}

html {
    scroll-behavior: smooth;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    font-family: "Lora", "Helvetica Neue", Helvetica, Arial, sans-serif;
    background-color: #000;
    line-height: 1;
    width: 100vw;
    height: 100vh;
}

/* Headings and Text */
h1, h2, h3, h4, h5, h6 {
    text-transform: uppercase;
    font-family: "Montserrat", "Helvetica Neue", Helvetica, Arial, sans-serif;
    letter-spacing: 1px;
}

h2 { font-size: 30px; }
h3 { font-size: 23px; }
h4 { font-size: 20px; }
h5 { font-size: 18px; }

p {
    font-size: 18px;
    line-height: 1.6;
    font-family: Helvetica;
    margin: 0 0 2.5vh;
}

a {
    color: #00cdff;
    text-decoration: none;
    transition: color .2s ease-in-out;
}

nav a:active, nav a:hover {
    background-color: rgba(255, 255, 255, 0.3);
}

/* Navbar */
nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    padding: 2vh 1vw;
    background: transparent;
    transition: background .5s, padding .5s;
    z-index: 10;
    letter-spacing: 0.1vw;
}

nav.collapsed {
    padding: 0 1vw;
    background: #000;
    border-bottom: 0.1vw solid rgba(255, 255, 255, 0.3);
}

nav p {
    margin: 0;
    text-transform: uppercase;
    font-weight: 700;
}

nav a {
    padding: 1.5vh;
    text-transform: uppercase;
    text-shadow: 0 0 0.2vw rgba(0, 0, 0, 0.8);
    color: #fff;
}

nav p span {
    color: red;
}

section {
    position: relative;
    margin: 10vh 1vw;
    text-align: center;
}

#hero-img {
    width: 100vw;
    height: 100vh;
    min-height: calc(100vh + 5vh);
    background: url(../img/intro-bg.jpg) no-repeat bottom center scroll;
    background-size: cover;
}

#intro {
    padding-top: 5vh;
}

#intro-text {
    margin-top: 20vh;
}

#mugshot {
    max-width:30vw;
    max-height: 30vh;
    border: 0.7vw solid #f1f1f1;
    border-radius: 50%;
    background-color: #f1f1f1;
}

.text-justify {
    text-align: justify;
}

/* Timeline */
.timeline {
    justify-content: center;
    align-items: center;
    padding: 0;
}

.line {
    position: absolute;
    width: 1px;
    top: 170px;
    bottom: 0;
    background: linear-gradient(#fff, #fff) no-repeat left / 2px;
    margin-left: 80px;
}

.timeline-item {
    position: relative;
    width: 100%;
    margin: 100px 0 0 0;
}

.timeline-item img {
    position: absolute;
    width: 150px;
    height: 150px;
    left: 0;
    right: unset;
    margin-right: auto;
    left: calc(0px);
    border: 5px solid #f1f1f1;
    border-radius: 100%;
    background-color: #f1f1f1;
    z-index: 9;
}

.timeline-panel {
    width: unset;
    margin: 0 20px 0 175px;
    background: transparent;
}


#presstart {
    height: 15vh;
}

.left {
    text-align: left;
}

.right {
    text-align: left;
}

/* Footer */
footer {
    position: relative;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: center;
    margin-top: 10vh;
}

/* Media Queries */
@media (min-width: 768px) {
    #mugshot {
        max-width: 40vw;
    }
    #intro {
        margin-top: 15vh;
    }
    #intro-text {
        margin-top: 10vh;
    }
    nav {
        padding: 0 10vw;
    }
    nav.collapsed {
        padding: 0 10vw;
        background: #000;
        border-bottom: 0.1vw solid rgba(255, 255, 255, 0.3);
    }
    section {
        margin: 5vh 5vw;
    }
}

@media (min-width: 992px) {
    #mugshot {
        max-width: 70vw;
    }
    #intro {
        margin: 25vh 25vw 0;
    }
    section {
        margin: 5vh 5vw;
        padding-top: 12.5vh;
    }
    .line {
        top: 0;
        left: 50%;
        background: unset;
        width: 1px;
        margin-left: auto;
        margin-right: auto;
    }
    .timeline {
        background: linear-gradient(#fff, #fff) no-repeat center / 0.2vw;
    }
    .timeline-item img {
        max-width: 15vw;
        max-height: 15vh;
        left: 50%;
        
        transform: translateX(-50%);
    }
    .timeline-panel {
        width: calc(50vw - 15vw);
    }
    .left {
        margin-right: calc(50% - 100px);
        margin-left: 0;
        text-align: right;
    }
    .right {
        margin: 0 0 0 calc(50% + 100px);
        text-align: left;
    }
}

@media (min-width: 1250px) {
    #mugshot {
        max-width: 25vw;
    }
    #intro {
        margin: 5vh 30vw 0;
    }
    nav {
        padding: 0 25vw;
    }
    section {
        margin: 5vh 25vw;
    }
    .line {
        top: 40vh;
        background: linear-gradient(#fff, #fff) no-repeat center / 1px ;
    }
    .timeline-panel {
        width: calc(50% - 100px);
    }
}
